SuperCollider CLASSES
UGens>Triggers

# Timer

Returns time since last triggered.
Source: /Applications/SuperCollider.app/Contents/Resources/SCClassLibrary/Common/Audio/Trig.sc
Inherits from: UGen : AbstractFunction : Object

## Description

When triggered, Timer measures the time (in seconds) elapsed since the previous trigger, and outputs this time value as a constant. Its output will not change until the next trigger. The initial value is 0.

If you need the time since the last trigger, where the time is continually updated, see Sweep.

## Class Methods

### *ar (trig: 0)

### *kr (trig: 0)

#### Arguments:

trig | A trigger occurs when trig signal crosses from non-positive to positive.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

    // using timer to modulate sine frequency: the slower the trigger is the higher the frequency
    (
    { var trig;
        trig = Impulse.kr(MouseX.kr(0.5, 20, 1));
        SinOsc.ar(Timer.kr(trig) * 500 + 500, 0, 0.2)
    }.play;
    )

helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Timer.schelp
link::Classes/Timer::
sc version: 3.8.0